## Notes from Telcon on 6th February 2018

Previous Calls:
 - [June 2, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170602-Notes.md)
 - [June 6, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170606-Notes.md)
 - [October 10, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20171010-Notes.md)

Attending:

 - Alejandra Gonzalez-Beltran
 - Arfon Smith
 - August Muench
 - Daniel Mietchen
 - Daniel S Katz
 - Kristian Garza
 - Lars Holm Nielsen
 - Lynn Davis
 - Martin Fenner
 - Michael Crusoe
 - Morane Gruenpeter
 - Qian
 - Sarala
 - Tim Clark
 - Tom Pollard
 - Wolfram Sperber
 - Wolfgang Daltz

Actions:
 - **ACTION: Wolfram, Wolfgang, Kristian and Neil to organise meetings for group at RDA Plenary in Berlin.**
 - **ACTION: All to open issues in GitHub to disseminate things they're working on**
 - **ACTION: Dan, Martin and Neil to organize issues and notes into themes and activities**


Agenda:

### Call logistics

Calls will take place on the first Tuesday of every month at 2 PM GMT or BST. We will review after a few calls to see if this working.

Notes will be published at: https://github.com/force11/force11-sciwg/tree/master/meetings

Participants can raise things that they are working on / want to bring peoples attention to by [opening a GitHub issue](https://github.com/force11/force11-sciwg/issues). The co-chairs will curate and tag these issues as required, and maintain a document linking to them to summarise current status.



### RDA Plenary March 2018
Will be in Berlin March 21-23. Software Source Code Interest Group [meets](https://rd-alliance.org/ig-software-source-code-rda-11th-plenary-meeting) March 22 at 11 AM.

Dan, Daniel, Kristian, Martin, Morane and Neil will be going to the RDA Plenary in Berlin. There will also be others there from this group as well as from related communities like ResearchObject / Common Workflow Language.

We will aim to arrange and advertise two meetings at RDA Plenary:
 - An informal meetup after the Software Source Code session at lunch, to meet and talk to RDA attendees who are interested in the work of the group
 - A longer working meeting for those with time and availability to work on some of the current challenges together
 
Wolfram, Wolfgang and Kristian have volunteered to act as local organisers and identify potential venues / times for the working meeting.

### Update by call participants

Lars / August Muench: working on brokering of software citations within publisher (AAS), indexer (ADS), and software repository (Zenodo). Trying to implement this with ADS in the next couple of months. Model is generic but being tested with astronomy.

Wolfram Sperber / Wolfgang Dalitz: working on test implementation of software citation, extending to TeX and BiBlatex. Hope to demonstrate at MMS days. Normally have to cite software as a misc object. August notes that there's passive system resistance to moving build systems to biblatex type support.

Lars: Zenodo will be updating to DataCite v4.1 in the next 1-2 months, thus making use of isVersionOf/HasVersion.

Daniel: At Wikidata, we're working on data models for describing software and datasets, and the intent would be to use that also to indicate citation of both.

Dan: has published a [new blog post](https://danielskatzblog.wordpress.com/2018/02/06/compact-identifiers-for-software-the-last-missing-link-in-user-oriented-software-citation/) today. This reflects on things he learned at PIDapalooza about compact identifiers and where they might fit with identifying versions of software, and with Software Heritage.

Dan: Tom Morrell at Caltech has a data repository built on the same system that Zenodo is using, so they can deposit software into that system. Working that if there's a codemeta file in repository the metadata is automaticlly filled out). (see [#38](https://github.com/force11/force11-sciwg/issues/38))

Dan: Robert Doiel at Caltech suggested the idea that when we have metadata from a DOI for software e.g. in zenodo we could generate a codemeta file that can be sent to authors to add to repo. (see [#36](https://github.com/force11/force11-sciwg/issues/36))

Dan: Caltech folks suggested working with Software Carpentry and Data Carpentry to get codemeta / software citation into good practices. (see [#37](https://github.com/force11/force11-sciwg/issues/37))

Martin: At DataCite, we are working on registering DOIs with metadata that are not DataCite XML. http://schema.org is the first, codemeta is next.

Neil: myself and colleague Mike Jackson are working on a project as part of Jisc's Research Data Shared Service in the UK to look at the workflows and metadata being used to preserve software in institutional repositories. The initial work will be presented and discussed at at workshop on 6 March in London where we're looking for feedback: https://www.eventbrite.co.uk/e/software-deposit-and-preservation-policy-and-planning-workshop-tickets-42240043106

Dan: I've started working with specific conferences to get the proceedings authors to implement software citation, and to encourage the software developers in those fields to make their software citable. Neil notes potential for identifying some champions participating in other conferences and porting the conference software citation guidelines and examples to these conferences.  For example, see preprint of paper about software citation for ACAT (an HEP conference): https://indico.cern.ch/event/567550/papers/2696191/files/6046-Katz_Citation.pdf

Martin: At DataCite we are part of an EC-funded project where we will do a landscape analysis of persistent identifier use, including software. In the next few months we will look at what persistent identifiers are used for software and what the issues are. E.g. using sha tags from gitHub (or I guess similarly Software Heritage) or DOIs.

Michael: We will soon demonstrate using software identifiers to matchmake with software containers in the context of Common Workflow Language tools. Question relating to Michael's work is where people should get their software identifiers from.

## What's the biggest blocker?

Martin asked the call what they felt was the biggest blocker, e.g.:
- Missing tools infrastructure
- Missing training and Guidance
- Missing funding

Neil: from a tools and technology point, there are no large blockers but lots of little ones, not easy for most people to adopt good software citation practices. Training and guidance will help address this, but underlying "systems" need to change.

Dan: imo - a combination of technology and culture, but culture is a very complex concern. We're trying to move a big community, and need to find points of leverage where we can have an impact.

Alejandra: +1 to those views; training and easy tools will help

Where are the points of leverage?
- journal and conference author & reviewer instructions
- university hiring & promotion criteria
- documentation is way too often neglected; this also affects software citation from multiple ends (e.g. developer, user)
- tool usability
- tool interoperability
- best practices, ideally not community-specific
- article writing tools

Neil: Is something like [CiteAs](http://CiteAs.org) (assuming it picks up the correct information) good enough for generating citations in the right format? Dan: the idea is good. would be better if this used the tools that take metadata and generate citations in lots of formats.

Examples of these tools:
- https://citation.crosscite.org/
- https://metadata.datacite.org/

PRs on CiteAs here: https://github.com/Impactstory/citeas-api

Where are tools not interoperable?

Michael: For the social campaign aspect: a website to assist scientists/researchers/developers in petitioning journals to adopt policies around software citation

Neil: Sounds like it might be useful to draw some diagrams showing how some of the tools interact, and what their current limitations are

August: I rep astronomy publishing, and yes, the backend of these systems can definitely chew up new citation models. e.g. backend systems mangling versions. These are examples of passive resistance, for instance guidance for production editors on difference between version 2.1 and version 21 or version 2 1. There is a need to go through the issues that publishers face in processing manuscripts with software citations.

August: (in response to Dan's blog post) if we start parsing "soft" text based citations what will be the issues compared to using structured metadata? Dan: focussed on getting someone to do something, before they can do the right thing. As we can't wait to solve one bevore we solve the other.


### CodeMeta

Discussion on CodeMeta suggested for next call, where we can try and get Carl and/or Matt on the call.
