## Notes from Telcon on 8th May 2018

Previous Calls:
 - [June 2, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170602-Notes.md)
 - [June 6, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170606-Notes.md)
 - [October 10, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20171010-Notes.md)
 - [February 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180206-Notes.md)
 - [March 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180306-Notes.md)
 - [April 3, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180403-Notes.md)


### Call logistics

 - Calls normally take place on the first Tuesday of every month at 2 PM GMT or BST.
 - Notes will be published at: https://github.com/force11/force11-sciwg/tree/master/meetings
 - We use Zoom: https://zoom.us/j/268702722
 - You can also dial in using your phone. Access Code: 268 702 722 - see bottom of this document for telephone numbers
 - Participants can raise things that they are working on / want to bring peoples attention to by [opening a GitHub issue](https://github.com/force11/force11-sciwg/issues). The co-chairs will curate and tag these issues as required, and maintain a document linking to them to summarise current status.

### Attending

- Alice Allen
- Allen Lee
- August Muench
- Carly Robinson
- Catherine Jones
- Dan Katz
- Kat Thornton
- Katrin Leinweber
- Louise Kellogg
- Martin Fenner
- Michael Crusoe
- Neil Chue Hong
- Qian Zhang
- Shelley Stall
- Wolfram Sperber

### Actions

 * ACTION: All to open issues in GitHub to disseminate things they're working on - STANDING
 * ACTION: Dan, Martin and Neil to organize issues and notes into themes and activities - ONGOING
 * ACTION: Martin Fenner to do draft of identifier discussion, reviewed by Morane and Roberto - ONGOING
 * ACTION: Dan/Martin/Neil/Roberto to scope out potential for joint RDA/FORCE11 Software Identifiers WG - ONGOING
 * ACTION: Dan, Martin and Neil will come up with a brief process for suggesting, initiating and managing task forces


## Agenda

### WG organization (Dan, Martin and Neil)

Neil summarized the status of the work of the group noting that it has primarily been doing: 

   1. Building a community around software citation.
   2. Provide documentation and support for implementing software citation, e.g. with publishers, authors.
   3. Sharing information between groups undertaking technical implementations related to software citation.
   4. Identify and address specific new issues important for software citation, e.g. identifiers.

The proposal is to form task forces / sub-groups to address more specific things, for instance:

   a. CodeMeta (suggested by Martin)
   b. General guidance for specific sets of people e.g. developers, authors, publishers. editors (suggested by Neil)
   c. Working with specific publishers to enbale adoption of software citation principles (suggested by Dan)
   d. Bringing together repository editors/maintainers to share best practice (suggested by Alice)
   
It was noted by Dan that these type of subgroups fell into two categories: subgroups forming on disciplinary interests or subgroups formating around role interests. Role interests sit well in SCI WG, whereas for disciplinary groups, it might be better for them to operate in their communities and report back to SCI WG.

There was general agreement that the idea of task forces was a good one.

   * ACTION: Dan, Martin and Neil will come up with a brief process for suggesting, initiating and managing task forces

Task forces will be suggested using GitHub issues. Before initiation, those involved in the task force should identify: who's involved, a timeline, what will be delivered/achieved.

This call will continue on a monthly basis as a way of keeping task forces coordinated with each other, as well as bringing up things of releveance to the community.


### Improving the quality of software metadata (Katherine Thornton)

Link to Kat's slides: http://doi.org/10.5281/zenodo.1243783

Kat gave an introduction to the work she's doing using Wikidata, what information about software is already in Wikidata, and how Wikidata and Shape Expressions (ShEx) might make it easier to validate and improve the quality of the metadata.

Question from Neil: How might we ingest information about software held in other systems (e.g. Zenodo, [ASCL](http://ascl.net/code/json)) easily into Wikidata, or vice versa?
 - Could use CodeMeta as a way of bridging between the two, would first need to sit down and see what the overlap between description formats was then could create a bot.

Question from Michael: Does Wikidata issues its own identifiers?
 - Wikidata uses URIs as identifiers (see the Q#'s)

Question from Allen: Would it be useful to create some common tool to go from e.g., codemeta <-> wikidata submission? https://www.wikidata.org/wiki/Wikidata:Data_donation#How_to_add_data_to_Wikidata
 - Rhetorically, yes.

Question from Dan: What are some example use cases where wikidata would support software citation?
 - Kat connects commonly used scientific software titles to relevant publications.
 - There are properties that allow research articles to be connected to things used in a workflow.


### Status updates on implementation (Open)

Opportunity for participants to share details of their implementations of tools, infrastructure, procedures or guidance around software citation.

Neil noted that a proposal for a talk in the general track at FORCE2018 has been submitted on behalf of the WG.
Martin noted that closer to the conference, we will discuss what else we could do at FORCE2018 for members of the group who are attending.

Dan will be teaching about software citation at the FORCE11 Scholarly Communications Institute and is seeking contributors.

Neil (and colleague Mike) are working on software deposit checklists as part of UK Research Data Shared Service Software Pilot - we’ll circulate drafts for comment, and also these will be launched at a workshop in the UK, probably second week in July.

Allen noted for the other repository managers: we'll be attending the upcoming data one user's group in Tucson which is targeted towards interoperability etc: https://www.dataone.org/dataone-users-group/2018-meeting. Michael noted: I can loop the ELIXIR http://bio.tools people in; please keep me in the loop. Carly noted: I work at the US Dept of Energy and we recently launched a new software repository and search tool for DOE-funded software - DOE CODE https://www.osti.gov/doecode/

Other things to note:
 - IEEE eScience conference: https://www.escience2018.com/ - will have colocated WSSSPE workshop http://wssspe.researchcomputing.org.uk/wssspe6-1/
 - A related concept: software licenses communication https://reuse.software/practices/2.0/
 - 3rd International Research Software Engineering Conference: http://rse.ac.uk/conf2018
 



## Zoom Instructions

Force11 Software Citation Implementation WG
 - When    Monthly from 15:00 to 16:00 on the first Tuesday Berlin
 - Where   https://zoom.us/j/268702722

Please join this meeting from your computer, tablet or smartphone: https://zoom.us/j/268702722

You can also dial in using your phone. Access Code / Meeting ID: 268 702 722

Join by telephone: 
 - Australia: +61 (0) 2 8015 2088
 - Canada: +1 647 558 0588
 - France: +33 (0) 1 8288 0188
 - Germany: +49 (0) 30 3080 6188
 - UK: +44 (0) 20 3695 0088
 - USA: +1 408 740 3766 or +1 646 876 9923 or +1 669 900 6833
 - other dialin numbers: https://zoom.us/zoomconference
 
 Test whether you can connect to a Zoom meeting: https://zoom.us/test
