## Notes from Telcon on 5th June 2018

Previous Calls:
 - [June 2, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170602-Notes.md)
 - [June 6, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170606-Notes.md)
 - [October 10, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20171010-Notes.md)
 - [February 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180206-Notes.md)
 - [March 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180306-Notes.md)
 - [April 3, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180403-Notes.md)
 - [May 8, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180508-Notes.md)
 - [June 5, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180605-Notes.md)


### Call logistics

 - Calls normally take place on the first Tuesday of every month at 2 PM GMT or BST.
 - Notes will be published at: https://github.com/force11/force11-sciwg/tree/master/meetings
 - We use Zoom: https://zoom.us/j/826409840
 - You can also dial in using your phone. Access Code: 826 409 840 - see bottom of this document for telephone numbers
 - Participants can raise things that they are working on / want to bring peoples attention to by [opening a GitHub issue](https://github.com/force11/force11-sciwg/issues). The co-chairs will curate and tag these issues as required, and maintain a document linking to them to summarise current status.

### Attending

 * Alastair Kelly aka Alex Sticco
 * Qian Zhang
 * Morane Gruenpeter
 * August Muench
 * Louise Kellogg
 * Stephan Druskat
 * Ted Habermann
 * Martin Fenner
 * Catherine Jones
 * Daina Bouquin
 * Dan Katz
 * Shelly Stall
 

### Actions

Standing:
 * ACTION: All to open issues in GitHub to disseminate things they're working on

Completed:
 * ACTION: Dan, Martin and Neil to organize issues and notes into themes and activities
 * ACTION: Martin Fenner to do draft of identifier discussion, reviewed by Morane and Roberto
 * ACTION: Dan/Martin/Neil/Roberto to scope out potential for joint RDA/FORCE11 Software Identifiers WG
 
In Progress:
 * ACTION: Dan, Martin and Neil will come up with a brief process for suggesting, initiating and managing task forces
 
Unknown Status:
 * ACTION: Jessica to try and make NASA guidelines available on ESIP wiki

New:
 * ACTION: Martin to schedule Codemeta Taskforce first call this week
 * ACTION: Neil to schedule Guidance Taskforce first call
 * ACTION: Dan to get members and schedule Publisher Adoption Taskforce first call this week or next week
 * ACTION: Alice to provide status of Repository Best Practice Taskforce, and get started

## Agenda

### Exploring Software Citation at the National Library of Medicine Software Ecosystem Work (Alex Sticco and Justin Koufopoulos)

The National Library of Medicine is exploring possible roles it could play in improving the research software ecosystem.
Our team is currently exploring several possibilities, including indexing software project citations in PubMed or in
a related system and introducing metrics for software into the impact review process for grants. We can review some
ideas for what we might plausibly do in the immediate future, and take suggestions and input on what would be the most
helpful activities from the perspective of this working group. 

[Slides](https://github.com/force11/force11-sciwg/blob/master/meetings/slides/Software%20Citation%20at%20NLM.pdf)

Notes:
* NLM would like to suport software citation
* Publishers generally supporting but want guidance
* Open question - what to recommend?  (softare itself, software papers, short software papers)
  * Use both software paper citations and software citation as a bridge
  * [JOSS](http://joss.theoj.org) was intentionally created as a bridge that will go away when direct software citation is common
* JATS4R status?
  * Gus says the work for a set of research objects (software, preprints, data, etc.) is on hold, recommendations are being circulated internally
* Want to make software a first class output of grants as recorded by NIH
* Where should software metadata be stored? in PubMedCentral or elsewhere
  * Martin uncomfortable with storing info about non-articles in Pubmed, perhaps should link to info elsewhere instead
* And what should PubMed/PubMedCentral display?  probably something minimal
* Discussion of incorporating [PubSpace](https://www.nasa.gov/open/researchaccess/pubspace) 


### Joint RDA/FORCE11 Software Identifiers WG

see https://www.rd-alliance.org/group/software-source-code-identification/case-statement/software-source-code-identification-wg-case


### Starting up taskforces (Martin and Neil and Dan)

#### General logistics

- Task forces will be suggested using GitHub issues. Before initiation, those involved in the task force should identify: who's involved, a timeline, what will be delivered/achieved.
- Monthly call used to keep task forces coordinated with each other, as well as reporting to the community
- Aim to scope out initial goals for each task force

People to indicate their interest in participating by commenting on the relevent GitHub issue.

Named people to put out a call for participation to the mailing list and schedule a first call. After first call, identify task force leaders going forward and draft goals and milestones.

#### Codemeta Taskforce (Martin)

https://github.com/force11/force11-sciwg/issues/57

Tasks:
- identify the various tools that work with codemeta, check that they work
- longer term governance model for CodeMeta
- relationship between CodeMeta and schema.org - what’s missing?


Alice: ASCL can ingest via a link to a codemeta.json file; I’ve had people ask what that is, how to create one, what should be in it, and I don’t have that information currently on the ASCL. Might be helpful to have a generic “this is what the file should contain” post that people (well, me, anyway!) could point to. No one is using codemeta functionality in anger yet, so need to have better guidance on how to create codemeta.json files for people submitting to ASCL

Stephen: Would be interesting to hear what you'd (Alice) need that *isn't* in codemeta.json.
Alice: a link or bibcode to a peer-reviewed paper using or describing the software, for example.

**ACTION: Martin to schedule first call this week.

#### Guidance Taskforce (Neil)

https://github.com/force11/force11-sciwg/issues/56

Should guidance focus on a specific community first then translate to others, or craft generic guidance that can be adopted by specific communities?
- Daina: Astro would be easier but may be valuable case but general guidance needed and could be used to talk to publishers in related fields
- Jessica: might want to generalise first and then adapt for each. NASA experience was doing it specific first.
- Alice: I agree with Jessica — general first, and we can make it more specific within the disciplines.

**ACTION: Jessica to try and make NASA guidelines available on ESIP wiki
(Shelly says this is in progress and should be done by the next meeting)

Everyone agreed it was important to have guidance both for those wanting to get their software cited as well as those trying to cite software.

Also important to write recommendations for publisher policies as well. 

**ACTION: Neil to schedule first call.

#### Publisher Adoption Taskforce (Dan)

https://github.com/force11/force11-sciwg/issues/58

Alice: Publisher policies came up at EWASS; Chris Lintott and Greg Schwartz attended.

**ACTION: Dan to schedule first call this week or next week and get members

#### Repository Best Practice (Alice)

https://github.com/force11/force11-sciwg/issues/59

Goals:
- finding repositories and registries that are holding / interested in holding software
- find out what the commonality across repositories might be


### Status updates on implementation (Open)

No updates

### Schedule for future calls

- August: work on Taskforces
- September: FORCE2018 Planning
- October: send suggestions, please



## Zoom Instructions

Force11 Software Citation Implementation WG
 - When    Monthly from 15:00 to 16:00 on the first Tuesday Berlin
 - Where   (https://zoom.us/j/826409840

Please join this meeting from your computer, tablet or smartphone: https://zoom.us/j/826409840

You can also dial in using your phone. Access Code / Meeting ID: 826 409 840

Join by telephone: 
 - Australia: +61 (0) 2 8015 2088
 - Canada: +1 647 558 0588
 - France: +33 (0) 1 8288 0188
 - Germany: +49 (0) 30 3080 6188
 - UK: +44 (0) 20 3695 0088
 - USA: +1 408 740 3766 or +1 646 876 9923 or +1 669 900 6833
 - other dialin numbers: https://zoom.us/zoomconference
 
 Test whether you can connect to a Zoom meeting: https://zoom.us/test
