## Notes from Telcon on 2nd October 2018

Previous Calls:
 - [June 2, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170602-Notes.md)
 - [June 6, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20170606-Notes.md)
 - [October 10, 2017](https://github.com/force11/force11-sciwg/blob/master/meetings/20171010-Notes.md)
 - [February 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180206-Notes.md)
 - [March 6, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180306-Notes.md)
 - [April 3, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180403-Notes.md)
 - [May 8, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180508-Notes.md)
 - [June 5, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180605-Notes.md)
 - [July 3, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180703-Notes.md)
 - [August 7, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180807-Notes.md)
 - [September 4, 2018](https://github.com/force11/force11-sciwg/blob/master/meetings/20180904-Notes.md)


### Call logistics

 - Calls normally take place on the first Tuesday of every month at 2 PM GMT or BST.
 - Notes will be published at: https://github.com/force11/force11-sciwg/tree/master/meetings
 - We use Zoom: https://zoom.us/j/826409840
 - You can also dial in using your phone. Access Code: 826 409 840 - see bottom of this document for telephone numbers
 - Participants can raise things that they are working on / want to bring peoples attention to by [opening a GitHub issue](https://github.com/force11/force11-sciwg/issues). The co-chairs will curate and tag these issues as required, and maintain a document linking to them to summarise current status.

### Attending

* Louise Kellogg
* Morane Gruenpeter
* Ted Habermann
* Alexander Konovalov
* Katrin Leinweber
* David Kennedy
* Qian Zhang
* August Muench
* Ilian Todorov
* Sowmya Swaminathan
* Shelley Stall
* Alastair Kelly


### Actions

Standing:
 * ACTION: All to open issues in GitHub to disseminate things they're working on

Completed:
 
In Progress:
 * ACTION: Martin to schedule next and regular monthly CodeMeta calls
 * ACTION: Neil to schedule Guidance Taskforce first call
 * ACTION: Alice to provide status of Repository Best Practice Taskforce, and get started
 * ACTION: Jessica to try and make NASA guidelines available on ESIP wiki
 
On Hold: 
 * holding pending google doc progress: ACTION: Dan to get members and schedule Publisher Adoption Taskforce first call

New:
 * ACTION: Dan to create small writing group (via call for volunteers) to make progress on google doc, potentially dividing the document into 2 parts
 * ACTION: Dan to take items in section 6 of the google doc and turn them into github issues to allow focused discussion on each
 
## Agenda

### change of data for next month's call to Nov 13 to avoid conflict with RDA

### FORCE2018 Conference Planning

* 10 people signed up
* unfortunate overlap with Ted Habermann's workshop at the same time

### Task Forces

* CodeMeta: First call on August 30: [Notes](https://github.com/force11/force11-sciwg/blob/master/meetings/20180820-codemeta.md)
  * Main result - documentation needs to be improved, along with this being better integrated into tool chains
  * Need to schedule next call after FORCE11 meeting in October. Doodle: https://doodle.com/poll/6wru4nymvywrxwn6, please fill out until October 12.
* Guidance and documentation: ?
* Publisher Adoption: on hold pending discussion of google doc and determining guidance
* Repository Best Practices: ?

### General updates

* discussion going on in core Python team about how to make Python itself citable: https://mail.python.org/pipermail/python-dev/2018-September/thread.html#155128 - Dan to follow up with Jackie ...
  * related discussion on citation of Python packages: https://mail.python.org/pipermail/python-ideas/2018-June/051705.html
  * And specifically: @adrn's [CitationPEP](https://github.com/adrn/CitationPEP) which is [mentioned at the end of that thread as inspiration for "a more developed proposal"](https://mail.python.org/pipermail/python-dev/2018-September/155297.html).
* Software Heritage updates:
  * [Save Code Now feature](https://archive.softwareheritage.org/browse/origin/save/), to make SH crawl something specific that it may not have yet: 
  * [article at iPres2018 about code artifacts in SW archive](https://hal.inria.fr/hal-01865790)
  * research software deposit is now available on the French national archive HAL (https://hal.archives-ouvertes.fr/); [blog post about the opening of the archive to software deposits](https://www.softwareheritage.org/2018/09/28/depositing-scientific-software-into-software-heritage/)

### An update on implementing software citation: challenges in 2018

* [Google Doc](https://docs.google.com/document/d/1ze2Bh0pZXCy7_bHcC7CumQRmBAv8qP6reao4yU4JToY/edit?ts=5b8e056c#heading=h.r16j7ecdqpc3) shared for feedback on August 30.
* How to move forward
  * create a smaller "writing" group that can make decisions, and say what these discussions result in.
  * Use GitHub issues for each of the 6.x issues, to have discussion and vote on actions
  * can combine both
* should we break this into 2 documents: one on how to apply the principles (very practical) and one that is more about how to make this happen (how to get the principles implemented)
* what's a deadline for creating a more final (or stable) version of this?  maybe 2 months from now.
  
#### General logistics

- Task forces will be suggested using GitHub issues. Before initiation, those involved in the task force should identify: who's involved, a timeline, what will be delivered/achieved.
- Monthly call used to keep task forces coordinated with each other, as well as reporting to the community
- Aim to scope out initial goals for each task force

People to indicate their interest in participating by commenting on the relevent GitHub issue.

Named people to put out a call for participation to the mailing list and schedule a first call. After first call, identify task force leaders going forward and draft goals and milestones.

- Next monthly Force11 Software Citation Implementation WG call will be on November 13 at 15:00 Berlin time, i.e. one week later, because of Research Data Alliance (RDA) Plenary the first week of November. The calendar invite has been updated.

## Zoom Instructions

Force11 Software Citation Implementation WG
 - When    Monthly from 15:00 to 16:00 on the first Tuesday Berlin
 - Where   https://zoom.us/j/826409840

Please join this meeting from your computer, tablet or smartphone: https://zoom.us/j/826409840

You can also dial in using your phone. Access Code / Meeting ID: 826 409 840

Join by telephone: 
 - Australia: +61 (0) 2 8015 2088
 - Canada: +1 647 558 0588
 - France: +33 (0) 1 8288 0188
 - Germany: +49 (0) 30 3080 6188
 - UK: +44 (0) 20 3695 0088
 - USA: +1 408 740 3766 or +1 646 876 9923 or +1 669 900 6833
 - other dialin numbers: https://zoom.us/zoomconference
 
 Test whether you can connect to a Zoom meeting: https://zoom.us/test
